package pw.hamzantal.shopreborn

import hazae41.minecraft.kutils.bukkit.ConfigFile
import java.io.File

class Messages(file: File, pl: ShopReborn) : ConfigFile(file) {
    val currency by string("currency", "$")

    val buyLore by string("buyLore")
    val sellLore by string("sellLore")
    val buyOnly by string("buyOnly")
    val sellOnly by string("sellOnly")
    val buyAndSell by string("buyAndSell")

    val set1 by string("set1")
    val sub10 by string("sub10")
    val sub1 by string("sub1")

    val add1 by string("add1")
    val add10 by string("add10")
    val set64 by string("set64")

    val sellConfirm by string("sell.confirm")
    val sellAll by string("sell.all")
    val sellAllLore by string("sell.allLore")

    val buyConfirm by string("buy.confirm")

    val cancel by string("cancel")

    val buyShopTitle by string("title.buy")
    val sellShopTitle by string("title.sell")

    val sellNotEnough by string("sell.notEnoughItems")
    val sellUnavailable by string("sell.itemNotSellable")
    val sellSuccess by string("sell.success")

    val buyNotEnough by string("buy.notEnoughBalance")
    val buyInvFull by string("buy.invFull")
    val buyUnavailable by string("buy.itemNotPurchasable")
    val buySuccess by string("buy.success")
    val commandSuccess by string("buy.successCommand")

    val purchaseError by string("purchaseError")
    init {
        if (!file.exists()) {
            val messages = pl.getResource("messages.yml").bufferedReader().readLines().joinToString("\n")
            file.createNewFile()
            file.writeText(messages)
        }
    }
}